﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CoinController : MonoBehaviour{

    GameController gameController;
    [SerializeField] GameObject child = default;

    void Awake(){
        gameController = FindObjectOfType<GameController>();
    }

    void OnTriggerEnter(Collider col){
        if (col.CompareTag("Player") || col.CompareTag("Explosion")){
            GetComponent<SphereCollider>().enabled = false;
            gameController.PlayButtonScale();
            gameController.numberOfCoins--;
            child.SetActive(true);
            GameOverCanvas.instance.tilesEnabled++;
            ObjectPooler.instance.SpawnFromPool("Light", new Vector3(transform.position.x, 0, transform.position.z), Quaternion.identity);
        }
    }

    public void Disable(){
        if(GetComponent<SphereCollider>().enabled == true){
            child.SetActive(false);
        }
    }
}
